#
# spec file for package youtube-dl
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           youtube-dl
Version:        2016.09.24
Release:        2.5
Summary:        A tool for downloading from video sites for offline watching
License:        SUSE-Public-Domain and CC-BY-SA-3.0
Group:          Productivity/Networking/Web/Utilities
Url:            http://rg3.github.io/youtube-dl/

#Git-Clone:	git://github.com/rg3/youtube-dl
#define snapshot 1
Source:         http://youtube-dl.org/downloads/%version/%name-%version.tar.gz
Source2:        http://youtube-dl.org/downloads/%version/%name-%version.tar.gz.sig
Source3:        %name.keyring
BuildRequires:  make >= 4
BuildRequires:  python-devel
BuildRequires:  python-xml
%if 0%{?snapshot}
BuildRequires:  pandoc
BuildRequires:  zip
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
youtube-dl is a small command-line program to retrieve videos from
YouTube.com and other video sites for later watching.

%prep
%setup -qn %name

%build
perl -i -pe '
        s{^PREFIX\ \?=\ /usr/local}{PREFIX ?= %_prefix};
        s{^BINDIR\ \?=\ \$\(PREFIX\)/bin}{BINDIR\ \?=\ %_bindir};
        s{^MANDIR\ \?=\ \$\(PREFIX\)/man}{MANDIR\ \?=\ %_mandir};
        s{^SHAREDIR\ \?=\ \$\(PREFIX\)/share}{SHAREDIR\ \?=\ %_datadir};' Makefile
%if 0%{?snapshot}
make clean
make %{?_smp_mflags}
%endif

%install
make DESTDIR="%buildroot" install

%files
%defattr(-,root,root)
%doc LICENSE README.txt
%_bindir/youtube-dl
%_mandir/man1/*
%config %_sysconfdir/bash_completion.d/
%config %_sysconfdir/fish/
%config %_datadir/zsh/

%changelog
* Tue Sep 27 2016 jengelh@inai.de
- Update to new upstream release 2016.09.24
  * prosiebensat1: Add support for kabeleinsdoku
  * ustream: Support HLS streams
  * fox, cartoonnetwork: add support for Adobe Pass auth
* Wed Sep 21 2016 jengelh@inai.de
- Update to new upstream release 2016.09.19
  * jwplatform: Use js_to_json to detect more JWPlayers
* Sun Sep 18 2016 jengelh@inai.de
- Update to new upstream release 2016.09.15
  * Add extractor for abc:iview
  * eagleplatform: improve detection of embedded videos
  * pluralsight: add support for subtitles
* Mon Aug 22 2016 jengelh@inai.de
- Update to new upstream release 2016.08.22
  * Recognize m3u8 manifests in HTML5 multimedia tags
* Tue Aug 16 2016 jengelh@inai.de
- Update to new upstream release 2016.08.13
  * pbs: dad test for videos with undocumented http formats
  * crunchyroll: add support for HLS
* Sat Aug  6 2016 jengelh@inai.de
- Update to new upstream release 2016.08.06
  * vodplatform: Add new extractor
  * limelight: extract http formats
* Mon Jul 25 2016 jengelh@inai.de
- Update to new upstream release 2016.07.24
  * onet, dcn, telegraaf, arkena: enable dash formats
* Thu Jun 30 2016 jengelh@inai.de
- Update to new upstream release 2016.07.01
  * youtube: fix ID 141 format tests
* Mon Jun 27 2016 jengelh@inai.de
- Update to new upstream release 2016.06.23.1
  * Improved jwplayer support
* Wed May 18 2016 jengelh@inai.de
- Update to new upstream release 2016.05.16
  * groupon: add support for Youtube embeds
* Wed May  4 2016 jengelh@inai.de
- Update to new upstream release 2016.05.01
  * Add support for tagesschau playlists
* Wed Apr 27 2016 jengelh@inai.de
- Update to new upstream release 2016.04.24
  * Add new extractor for nhl, today.com, mgtv, dispeak,
  instagram, tdslifeway.
  * mixcloud: Added support for user uploads, playlists, favorites
  and listens.
* Mon Apr 18 2016 jengelh@inai.de
- Update to new upstream release 2016.04.13
  * Add extractors for cliprs, presstv, auroravid, zdnet videos, cbs
* Mon Apr  4 2016 jengelh@inai.de
- Update to new upstream release 2016.04.01
  * brightcove: Support alternative BrightcoveExperience
* Fri Mar 25 2016 jengelh@inai.de
- Update to new upstream release 2016.03.25
  * New extractor for mnet, udemy, thescene, biobiotv, cda.pl, hbo
  * Support Vine embeddings
* Sat Mar 19 2016 jengelh@inai.de
- Update to new upstream release 2016.03.18
  * fix DASH format sorting
  * Add new extractor for rice, tv3, once
* Mon Mar 14 2016 jengelh@inai.de
- Update to new upstream release 2016.03.14
  * add new extractor for usatoday, minoto
  * add external rtsp and mms protocol downloader
* Tue Mar  8 2016 jengelh@inai.de
- Update to new upstream release 2016.03.06
  * unspecified set of fixes and improvements
* Tue Mar  1 2016 jengelh@inai.de
- Update to new upstream release 2016.03.01
  * Add support for dplay.no
  * imdb: recognize 1080p formats
* Sun Feb 14 2016 jengelh@inai.de
- Update to new upstream release 2016.02.13
  * vevo: add support for DASH formats
* Mon Feb  1 2016 jengelh@inai.de
- Update to new upstream release 2016.02.01
  * youtube: added vcodec/acodec/abr for multiple itags
  * vidzi: fix extraction
  * schooltv: Add extractor for SchoolTV playlists
* Mon Jan 25 2016 jengelh@inai.de
- Update to new upstream release 2016.01.23
  * subtitle support for svtplay
  * add extractor for arte:cinema, lemonde, weiqitv
* Tue Jan 19 2016 jengelh@inai.de
- Update to new upstream release 2016.01.16
  * cwtv: add new extractor
  * add support for fyi.tv, aetv.com, mylifetime.com, 7tv.de
* Sat Jan  9 2016 jengelh@inai.de
- Update to new upstream release 2016.01.09
* Sat Dec 26 2015 mailaender@opensuse.org
- Update to new upstream release 2015.12.23
* Wed Dec 16 2015 jengelh@inai.de
- Update to new upstream release 2015.12.13
  * Add cookie and referer in headers
  * Updates for VEVO service
* Sat Nov 28 2015 jengelh@inai.de
- Update to new upstream release 2015.11.27.1
  * Remove Accept-encoding from HLS headers passed to ffmpeg
* Thu Nov 26 2015 jengelh@inai.de
- Update to new upstream release 2015.11.24
  * Again support new youtube js code
* Mon Nov 16 2015 aloisio@gmx.com
- Update to new upstream release 2015.11.15
  * Added extrator for nowtv list
* Thu Nov 12 2015 jengelh@inai.de
- Update to new upstream release 2015.11.10
  * youtube: support new base.js html5 player
* Mon Oct 26 2015 jengelh@inai.de
- Update to new upstream release 2015.10.24
  * Support age restricted channels in youtube
* Sun Oct 11 2015 jengelh@inai.de
- Update to new upstream release 2015.10.09
  * rtmp: respect --no-continue option
  * vimeo: avoid failure when no HLS type streams are available
* Thu Sep 24 2015 jengelh@inai.de
- Update to new upstream release 2015.09.22
  * nowness: video extraction and add support serie and playlist ext?.
  * ndr: add support for embeds
  * yahoo: process query result embedded in webpage
* Wed Sep  9 2015 jengelh@inai.de
- Update to new upstream release 2015.09.03
  * downloader/f4m Fragment filenames are now be sanitized.
  * Improvements to mtvservices: support for news, catch more
  georestriction errors, title extraction under python2.
  * Check for ScreenwaveMedia embeddings. Warn when falling back to
  a hardcoded list of streams.
  * youtube was missing format details for 60fps DASH formats.
  * f4m: add missing imports
  * hls: properly encode fragment filename
* Mon Aug 24 2015 jengelh@inai.de
- Update to new upstream release 2015.08.16.1
  * youtube: search_url extraction.
  * youtube: Expand _VALID_URL to support vid.plus.
* Sat Aug 15 2015 jengelh@inai.de
- Avoid pandoc requirement when using regular release tarballs
* Sun Aug  9 2015 mailaender@opensuse.org
- Update to new upstream release 2015.08.06.1
  * Add support for sportschau.de
  * Add support for YouTube multifeed videos
  * Add support for SoundCloud reposts
* Fri Jul 31 2015 jengelh@inai.de
- Update to new upstream release 2015.07.28
  * Use 'vp8' and 'vp9' in lowercase
  * Add support for direct bbc.co.uk embeds
* Mon Jul 20 2015 jengelh@inai.de
- Update to new upstream release 2015.07.18
  * myspass: resolve download failure
* Sun Jul 19 2015 jengelh@inai.de
- Update to new upstream release 2015.07.07
  * qqmusic: add support for playlists
* Mon Jul  6 2015 benoit.monin@gmx.fr
- update to version 2015.07.04:
  * new handlers for MovieFap, SnagFilms, ThisAmericanLife,
    TwitterCard
* Tue Jun 30 2015 benoit.monin@gmx.fr
- update to version 2015.06.25:
  * new handlers for AdobeTVVideo, DailymotionCloud, OnionStudios,
    Pinkbike, XHamsterEmbed
* Wed Jun 17 2015 jengelh@inai.de
- Update to new upstream release 2015.06.15
  * New handlers for dramafever, dramafever:series, FiveTV, iqiyi,
  Ruutu, TVC, TVCArtic.
* Sat Jun  6 2015 jengelh@inai.de
- Update to new upstream release 2015.06.04.1
  * Improved handler for spiegel.tv
* Sat May 30 2015 benoit.monin@gmx.fr
- update to version 2015.05.29:
  * new handlers for AppleDaily, KarriereVideos, NowTV,
    viki:channel
  * removed handlers for AppleDailyAnimationNews,
    AppleDailyRealtimeNews, Firedrive, RTLnow, Sockshare
* Sat May 23 2015 benoit.monin@gmx.fr
- update to version 2015.05.20:
  * new handlers for ESPN, OoyalaExternal, SportBoxEmbed, TV2,
    TV2Article
* Mon May 18 2015 benoit.monin@gmx.fr
- update to version 2015.05.15:
  * new handlers for N-JOY, qqmusic:toplist, southparkstudios.dk,
    TMZArticle, VoiceRepublic
* Tue May 12 2015 benoit.monin@gmx.fr
- update to version 2015.05.10:
  * new handlers for bt:article, bt:vestlendingen, life:embed,
    NYTimesArticle, southpark.nl, SVT, Xstream
* Wed May  6 2015 benoit.monin@gmx.fr
- update to version 2015.05.04:
  * new handlers for BaiduVideo, FoxSports, PhilharmonieDeParis
  * removed handler for Grooveshark
* Mon Apr 27 2015 benoit.monin@gmx.fr
- update to new upstream release 2015.04.26:
  * new handlers for Gfycat, MegaVideoz, SenateISVP,
    southpark.cc.com:español
* Sat Apr 18 2015 benoit.monin@gmx.fr
- update to new upstream release 2015.04.17:
  * fix unicode warning about the configuration file
  * new handlers for CrooksAndLiars, QQMusic, QQMusicAlbum,
    QQMusicSinger, Srf
* Sat Apr 11 2015 benoit.monin@gmx.fr
- update to new upstream release 2015.04.09:
  * fix invalid warning about missing ssl certificates
  * new handlers for Gamersyde, PornoVoisines, RadioJavan,
    SpankBang, UDNEmbed
* Fri Apr  3 2015 benoit.monin@gmx.fr
- update to new upstream release 2015.04.03:
  * new handlers for 22tracks:genre, 22tracks:track, DHM, Dumpert,
    miomio.tv, NBCSports, NBCSportsVPlayer, safari, safari:course,
    Varzesh3, Vessel
* Sat Mar 28 2015 jengelh@inai.de
- Update to new upstream relase 2015.03.24
  * Support and URL updates for ntimes, nrk, videomega, dailyshow.
* Wed Mar 11 2015 benoit.monin@gmx.fr
- update to 2015.03.09:
  * new handlers for AirMozilla, chirbit, chirbit:profile,
    EaglePlatform, Gazeta, Kaltura, Letv, LetvPlaylist, LetvTv,
    Odnoklassniki, orf:iptv, Pladform, Playwire, Puls4, R7,
    soundgasm:profile
* Sat Feb 21 2015 benoit.monin@gmx.fr
- update to 2015.02.21:
  * new command line options:
    + --no-color  Do not emit color codes in output
    + --match-filter FILTER  (Experimental) Generic video filter
    + --hls-prefer-native  (experimental) Use the native HLS
    + --ffmpeg-location PATH  Location of the ffmpeg/avconv binary
  * new handlers for 1tv, Camdemy, CamdemyFolder, CBSSports,
    Embedly, History, Imgur, media.ccc.de, NationalGeographic,
    npo.nl:radio, npo.nl:radio:fragment, PornHubPlaylist, rtl.nl,
    Sandia, TV4, Yam, Zapiks
* Mon Feb  9 2015 benoit.monin@gmx.fr
- update to new upstream release 2015.02.09.3:
  * various fixes
  * new and updated handlers for Abc7News, Aftenposten,
    AlphaPorno, AppleDailyAnimationNews, AppleDailyRealtimeNews,
    AtresPlayer, ATTTechChannel, audiomack:album, CNNArticle,
    CollegeRama, CtsNews, DctpTv, DRBonanza, EchoMsk, EroProfile,
    Giga, HearThisAt, HellPorno, HistoricFilms, hitbox, Karaoketv,
    LnkGo, n-tv.de, Nerdist, Netzkino, NextMedia,
    NextMediaActionNews, nhl.com:news, : NHL newsnpo.nl:live,
    ntv.ru, OpenFilm, orf:fm4, : radio FM4radiobremen, Rte, RTL2,
    rutube:embed, SRMediathek, StreetVoice, SVTPlay, TeleTask,
    TestTube, tvp.pl:Series, Tweakers, Twitch, vier, vier:videos,
    WebOfStories, WSJ, Xuite, XXXYMovies
- call 'make clean' to avoid packaging a prebuild binary
- add pandoc as buildRequires to generate the manpage
* Sat Jan 24 2015 benoit.monin@gmx.fr
- update to new upstream release 2015.01.23.4:
  * numerous improvements
  * new handlers for 24video, AdobeTV, AlJazeera, Azubu, Bet, Bpb,
    BuzzFeed, Cinchcast, ComCarCoff, dvtv, Foxgay, FoxNews,
    GiantBomb, Groupon, Minhateca, MySpace:album, MyVidster,
    NerdCubedFeed, radio.de, Restudy, RTP, ScreencastOMatic,
    ScreenwaveMedia, Tass, TeamFour, TeleBruxelles, TMZ,
    TrailerAddict, TuneIn, vk.com:user-videos, XMinus, YesJapan,
    ZDFChannel, zingmp3:album, zingmp3:song
- add new buildRequires to generate the readme:
  * python-devel
  * python-xml
* Sat Nov 22 2014 jengelh@inai.de
- Update to new upstream release 2014.11.21.1
  * Update handlers for vh1, comedycentral, stanfordoc
  * correct OptionGroup invocation for Python 3
  * Fix writing to paths with unicode characters
  * rtlxl: Use m3u8 streams instead of f4m
  * youtube: Add webm audio formats
* Wed Nov 19 2014 jengelh@inai.de
- Update to new upstream release 2014.11.16
  * Modernize handlers for new URLs at spiegel.tv, blip.tv,
  and some others.
* Sun Nov  9 2014 aloisio@gmx.com
- Update to new upstream release 2014.11.04
  * Numerous improvements
* Mon Aug 11 2014 jengelh@inai.de
- Update to new upstream release 2014.08.10
  * appletrailers: Support height-less videos
  * ard: Show error message if video is no longer available
  * fm4, gamestar, mojvideo, tvplay, ubu, xboxclips:
  add new extractors
* Sat Jul 19 2014 jengelh@inai.de
- Update to new upstream release 2014.07.15
  * Add support for Spike mobile URLs, aftonbladet.se, Playvid,
  wdr.de, concert.arte.tv, parliamentlive.uk, on.aol.com, xbef,
  rts.ch, byutv.org, and many more
* Sat Mar  8 2014 jengelh@inai.de
- Update to new upstream release 2014.03.07.1
  * Add an Info Extractor (IE) for non-{password protected}
  GDC Vault videos
  * Add support for video from embed.ly, mail.ru, ceskatelevize.cz,
  tvigle.ru, 13.cl, authenticated videos
  * Fixed segment extraction for ORF
  * Add support for Youtube search result URLs
* Mon Mar  3 2014 jengelh@inai.de
- Update to new upstream release 2014.02.28
  * miscellaneous fixes to make YT downloading work again (bnc#866153)
  * support for ComedyCentral clips
  * corrected Vimeo description fetching
  * --verbose now shows more environment information
  * --no-post-overwrites now takes an argument
  * New engines: NBA, JustinTV, FunnyOrDie, TweetReel, Steam, Ustream
* Sun Jun  2 2013 jengelh@inai.de
- Update to new upstream release 2013.05.23
  * Add support for Howcast, Vine, Teamcoco, Flickr videos
  * Add MyVideo RTMP support
* Sun May 12 2013 jengelh@inai.de
- Reinstate Git-Clone line, and do signature verification
- Totally own bash_completion.d
* Sun May 12 2013 tchvatal@suse.com
- Version bump to 2013.05.10 release which fixes compatibility.
  * Use upstream provided tarballs and versioning.
  * Use upstream Makefile directly to generate everything.
  * Install manpage and bash completion.
  * Do not use hand generated documents but rely on those provided
  by upstream.
* Sat Apr  6 2013 jengelh@inai.de
- Initial package (version 0~20130403) for build.opensuse.org
